-- Hilfeanzeige zur Bedienung für FS17_Mercedes_Actros_SLT LS15
-- created by ===sven===
-- Date: 01.08.2016
Help = {};

function Help.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Help:load(xmlFile)
	self.help = false;
end;

function Help:delete()
end;

function Help:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Help:keyEvent(unicode, sym, modifier, isDown)
end;

function Help:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_HELP) then
			self.help = not self.help;
		end;
	end;
end;

function Help:updateTick(dt)
end;

function Help:draw()
	if not self.help then
		renderText(0.82, 0.22, 0.018, "Taste Numpad 0: Hilfe Ein");
	 else
		renderText(0.82, 0.22, 0.018, "Taste Numpad 0: Hilfe Aus");
		renderText(0.51, 0.19, 0.028, "Mercedes Actros SLT Bedienung");
		renderText(0.51, 0.16, 0.021, "Bull................Taste = 6            BullBlitzer.....Taste = K");		
		renderText(0.51, 0.14, 0.021, "Blitzer............Taste = J             Stuetzen........Taste = X");
		renderText(0.51, 0.12, 0.021, "SLK.................Taste = 8            Pritsche.........Taste = 7");
		renderText(0.51, 0.10, 0.021, "Pahlfinger......Taste = KP 4      Zugmaul........Taste = KP 7");
		renderText(0.51, 0.08, 0.021, "Showlicht.......Taste = KP 8      Warntafel......Taste = KP 9");		
		
		renderText(0.55, 0.04, 0.024, "        **created by sven**");
	end;
end;  

function Help:onLeave()
	self.help = false;
end;
